Page MenuHomePhabricator

efl_ui_focus_manager_sub: freeze manager when parent manager is frozen
ClosedPublic

Authored by bu5hm4n on Nov 23 2018, 1:21 AM.

Details

Summary

a efl_ui_focus_manager_sub object is a manager object by itself. It
registeres the border elements of itself in the parent focus manager.
However, all elements that are registered in this manager object, are
also automatically children of the parent root object, which means, when
the root object of the parent manager object is moved, then those
children will also be moved. Which means, when the parent manager can
ignore those changes, we can also ignore them.
This improves the overall performance of the "Scroller 2" test case by
26%.

The change to the test is required in order to redirect the events so
the self_dirty bit is setted correctly

Depends on D7349

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Nov 23 2018, 1:21 AM
bu5hm4n requested review of this revision.Nov 23 2018, 1:21 AM
bu5hm4n updated this revision to Diff 17563.Nov 23 2018, 3:42 AM
bu5hm4n edited the summary of this revision. (Show Details)

test fixes

YOhoho requested changes to this revision.Nov 25 2018, 10:23 PM

There is strange behavior with D7300, D7311, D7347, D7348, D7353, D7349, D7350.
Test code : https://github.com/dasg34/focus_test/blob/b233a8e491fbcde1da78b5b0a4c02c8fcd078c99/test_focus.c
command: ELM_TC=1 ./test_focus
Test Plan

  1. Click 'Test button 1'
  2. Press Down arrow key
  3. Press Up arrow key.

A scroller between 'Test button 1' and 'Test button 2' can't get focus.

This revision now requires changes to proceed.Nov 25 2018, 10:23 PM

Oh, this bug has happened before :(

YOhoho removed a reviewer: YOhoho.Nov 25 2018, 10:48 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n added a comment.EditedNov 26 2018, 12:17 AM

This was always the case, looking into this right now, but its unrelated to this stack.

Also, when you use git phab then you can simply apply the most upper revision on the stack, and get the whole stack, it appears that you are missing 2 of the stack (they are fixing other things)

bu5hm4n requested review of this revision.Nov 26 2018, 12:19 AM
YOhoho accepted this revision.Nov 26 2018, 2:05 AM
This revision is now accepted and ready to land.Nov 26 2018, 2:05 AM
Closed by commit rEFLacee09f58519: efl_ui_focus_manager_sub: freeze manager when parent manager is frozen (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyNov 26 2018, 2:48 AM
This revision was automatically updated to reflect the committed changes.